MediaWiki 1.32/wmf.26

From MediaWiki.org
Jump to navigation Jump to search
TriangleArrow-Left.svgMediaWiki 1.32.0-wmf.24 Deployment of MediaWiki 1.32.0-wmf.26 to Wikimedia sites MediaWiki 1.32.0-wmf.27TriangleArrow-Right.svg

The latest version (labeled "1.32.0-wmf.26") of MediaWiki, the software that powers Wikipedia and its sister sites, is being deployed to all Wikimedia sites in stages, starting on Tuesday, 16 October 2018 (see the roadmap).

Contents

Core changes[edit]

Vendor[edit]

Extensions[edit]

3D[edit]

AbuseFilter[edit]

ActiveAbstract[edit]

  • git #8ce33da0 - build: Updating npm dependencies for security issues

AntiSpoof[edit]

  • git #1445ca0f - build: Updating npm dependencies for security issues

ArticlePlaceholder[edit]

Babel[edit]

BetaFeatures[edit]

BounceHandler[edit]

  • git #8ee9df2e - build: Updating npm dependencies for security issues

Calendar[edit]

  • git #478d3a58 - build: Updating npm dependencies for security issues

Campaigns[edit]

  • git #2f91855e - build: Updating npm dependencies for security issues

Capiunto[edit]

  • git #11f0d2cb - build: Updating npm dependencies for security issues

CategoryTree[edit]

  • git #5dba7477 - build: Updating npm dependencies for security issues

CentralAuth[edit]

CharInsert[edit]

  • git #02dfa9c5 - build: Updating npm dependencies for security issues

CheckUser[edit]

  • git #b511c82a - build: Updating npm dependencies for security issues

CirrusSearch[edit]

Cite[edit]

CiteThisPage[edit]

  • git #e8d85392 - build: Updating npm dependencies for security issues

CodeReview[edit]

Cognate[edit]

  • git #c699f2df - build: Updating npm dependencies for security issues
  • git #4ddbdee1 - Update namespace for MediaWiki\Revision\RevisionRecord

CollaborationKit[edit]

Collection[edit]

  • git #3fe3dc41 - build: Updating npm dependencies for security issues

CommonsMetadata[edit]

  • git #b817fc4f - build: Updating npm dependencies for security issues

ConfirmEdit[edit]

CongressLookup[edit]

ContactPage[edit]

  • git #189c4d61 - build: Updating npm dependencies for security issues

ContentTranslation[edit]

ContributionTracking[edit]

  • git #71ad0124 - build: Updating npm dependencies for security issues

CreditsSource[edit]

  • git #32598711 - build: Updating npm dependencies for security issues

Dashiki[edit]

Disambiguator[edit]

  • git #b6d8873b - build: Updating npm dependencies for security issues

DismissableSiteNotice[edit]

  • git #1240e918 - build: Updating npm dependencies for security issues

DonationInterface[edit]

DoubleWiki[edit]

  • git #89cd9c14 - build: Updating npm dependencies for security issues

DynamicSidebar[edit]

  • git #46ea96a3 - build: Updating npm dependencies for security issues

EUCopyrightCampaign[edit]

  • git #46b03f25 - Add corresponding label elements for screenreaders to all inputs

Echo[edit]

Elastica[edit]

  • git #9fcf88c1 - build: Updating npm dependencies for security issues

ElectronPdfService[edit]

  • git #eaa6db20 - build: Updating npm dependencies for security issues

EventBus[edit]

EventLogging[edit]

ExtensionDistributor[edit]

  • git #29622b0a - build: Updating npm dependencies for security issues

FeaturedFeeds[edit]

  • git #f248264e - build: Updating npm dependencies for security issues

FileImporter[edit]

FlaggedRevs[edit]

Flow[edit]

FundraiserLandingPage[edit]

  • git #d6ff4706 - build: Updating npm dependencies for security issues

FundraisingTranslateWorkflow[edit]

  • git #28b3cb99 - build: Updating npm dependencies for security issues

GWToolset[edit]

  • git #299c4838 - build: Updating npm dependencies for security issues

Gadgets[edit]

GeoCrumbs[edit]

  • git #2913aaea - build: Updating npm dependencies for security issues

GeoData[edit]

  • git #14f7f5a8 - build: Updating npm dependencies for security issues

GettingStarted[edit]

  • git #8fff1edb - build: Updating npm dependencies for security issues

GlobalBlocking[edit]

  • git #2d25731b - Replace call to long-deprecated ApiBase::dieUsage()
  • git #664a2a12 - build: Updating npm dependencies for security issues

GlobalCssJs[edit]

GlobalPreferences[edit]

GlobalUsage[edit]

  • git #2eac639d - build: Updating npm dependencies for security issues

GlobalUserPage[edit]

  • git #c94d4b0d - build: Updating npm dependencies for security issues

GoogleNewsSitemap[edit]

  • git #e42f9131 - build: Updating npm dependencies for security issues

Graph[edit]

  • git #a15e2ff0 - build: Updating npm dependencies for security issues

GuidedTour[edit]

  • git #9cfbbd32 - build: Updating npm dependencies for security issues

ImageMap[edit]

  • git #564d0534 - build: Updating npm dependencies for security issues

InputBox[edit]

  • git #3ae0db59 - build: Updating npm dependencies for security issues

Insider[edit]

  • git #43900ef4 - build: Updating npm dependencies for security issues

Interwiki[edit]

  • git #1debc733 - build: Updating npm dependencies for security issues

InterwikiSorting[edit]

  • git #cf5ac037 - build: Updating npm dependencies for security issues

JADE[edit]

Josa[edit]

  • git #aa6f619f - build: Updating npm dependencies for security issues

JsonConfig[edit]

  • git #e925462d - build: Updating npm dependencies for security issues

Kartographer[edit]

LabeledSectionTransclusion[edit]

  • git #605977fc - build: Updating npm dependencies for security issues

LandingCheck[edit]

  • git #0e033450 - build: Updating npm dependencies for security issues

LdapAuthentication[edit]

  • git #e2cab882 - build: Updating npm dependencies for security issues

Linter[edit]

  • git #4db07dd6 - build: Updating npm dependencies for security issues

LiquidThreads[edit]

Listings[edit]

  • git #f7898cdc - build: Updating npm dependencies for security issues

LocalisationUpdate[edit]

  • git #bd60c454 - build: Updating npm dependencies for security issues

LoginNotify[edit]

  • git #f93372cd - build: Updating npm dependencies for security issues

MapSources[edit]

  • git #86a1ceff - build: Updating npm dependencies for security issues

MassMessage[edit]

Math[edit]

  • git #9b2e2cab - build: Updating npm dependencies for security issues

MobileFrontend[edit]

MultimediaViewer[edit]

NavigationTiming[edit]

NewUserMessage[edit]

  • git #5fab45d6 - build: Updating npm dependencies for security issues

Newsletter[edit]

  • git #d13baec5 - build: Updating npm dependencies for security issues

Nuke[edit]

  • git #b438c9da - build: Updating npm dependencies for security issues

OATHAuth[edit]

  • git #c014195b - build: Updating npm dependencies for security issues
  • git #3546c62f - Drop pre-MW1.32 Special:Preferences (non-OOUI) compatability

OAuth[edit]

  • git #a8c008c5 - build: Updating npm dependencies for security issues
  • git #906cec59 - Drop pre-MW1.32 Special:Preferences (non-OOUI) compatability

ORES[edit]

OpenStackManager[edit]

  • git #26e486dc - build: Updating npm dependencies for security issues
  • git #375b7c23 - Fix variable name in OpenStackNovaController::getRoleAssignmentsForUser

PageAssessments[edit]

  • git #b46a6b1f - build: Updating npm dependencies for security issues

PageImages[edit]

PageTriage[edit]

PageViewInfo[edit]

  • git #24d60958 - build: Updating npm dependencies for security issues

PagedTiffHandler[edit]

  • git #f06ecc90 - build: Updating npm dependencies for security issues

ParserFunctions[edit]

ParserMigration[edit]

  • git #b1e5d48a - build: Updating npm dependencies for security issues

ParsoidBatchAPI[edit]

  • git #169c5073 - build: Updating npm dependencies for security issues

PdfHandler[edit]

  • git #4c2a3ed0 - build: Updating npm dependencies for security issues

Petition[edit]

  • git #33103bbe - build: Updating npm dependencies for security issues

Poem[edit]

  • git #a3de713e - build: Updating npm dependencies for security issues

PoolCounter[edit]

  • git #51e22e5b - build: Updating npm dependencies for security issues

Popups[edit]

ProofreadPage[edit]

PropertySuggester[edit]

QuickSurveys[edit]

Quiz[edit]

RSS[edit]

  • git #4a781594 - build: Updating npm dependencies for security issues

ReadingLists[edit]

RelatedArticles[edit]

  • git #bb1c52f0 - build: Updating npm dependencies for security issues

RelatedSites[edit]

  • git #3e77af11 - build: Updating npm dependencies for security issues

Renameuser[edit]

  • git #5f136065 - build: Updating npm dependencies for security issues

RevisionSlider[edit]

Score[edit]

  • git #5c6121d7 - build: Updating npm dependencies for security issues

Scribunto[edit]

SearchExtraNS[edit]

  • git #560d9543 - build: Updating npm dependencies for security issues

SecurePoll[edit]

Sentry[edit]

  • git #3f068afb - build: Updating npm dependencies for security issues

ShortUrl[edit]

  • git #bdf10598 - build: Updating npm dependencies for security issues

SiteMatrix[edit]

  • git #e56b5698 - build: Updating npm dependencies for security issues

SkinPerPage[edit]

  • git #8f646259 - build: Updating npm dependencies for security issues

SpamBlacklist[edit]

  • git #a5092541 - build: Updating npm dependencies for security issues

SubPageList3[edit]

  • git #b188e18b - build: Updating npm dependencies for security issues

SubpageSortkey[edit]

  • git #52306a6d - build: Updating npm dependencies for security issues

SyntaxHighlight_GeSHi[edit]

TemplateData[edit]

TemplateSandbox[edit]

  • git #99329258 - build: Updating npm dependencies for security issues

TemplateStyles[edit]

TemplateWizard[edit]

TextExtracts[edit]

Thanks[edit]

TimedMediaHandler[edit]

TitleBlacklist[edit]

  • git #aa2d12f5 - Remove unnecessary addition to 'include_path' in tests
  • git #4cabaddb - build: Updating npm dependencies for security issues
  • git #f524ba0a - Use setGroupPermissions instead of stashMwGlobals

TocTree[edit]

  • git #a719498a - build: Updating npm dependencies for security issues

TorBlock[edit]

  • git #97a6725f - build: Updating npm dependencies for security issues

Translate[edit]

TranslationNotifications[edit]

  • git #6c4fec32 - build: Updating npm dependencies for security issues

TrustedXFF[edit]

  • git #8ec4c6a9 - build: Updating npm dependencies for security issues

TwoColConflict[edit]

UniversalLanguageSelector[edit]

UploadWizard[edit]

UploadsLink[edit]

  • git #88aa711c - build: Updating npm dependencies for security issues

UrlShortener[edit]

  • git #537c56a8 - build: Updating npm dependencies for security issues

UserMerge[edit]

VipsScaler[edit]

  • git #641915b4 - build: Updating npm dependencies for security issues

VisualEditor[edit]

WikiEditor[edit]

WikiLove[edit]

  • git #71e443f3 - build: Updating npm dependencies for security issues

Wikibase[edit]

WikibaseLexeme[edit]

WikibaseMediaInfo[edit]

WikibaseQuality[edit]

  • git #0396b678 - build: Updating npm dependencies for security issues

WikibaseQualityConstraints[edit]

WikidataPageBanner[edit]

  • git #a2ad2ec7 - build: Updating npm dependencies for security issues

WikimediaBadges[edit]

  • git #00a80f71 - build: Updating npm dependencies for security issues

WikimediaEvents[edit]

WikimediaIncubator[edit]

  • git #ba67bd0f - build: Updating npm dependencies for security issues

WikimediaMaintenance[edit]

WikimediaMessages[edit]

XAnalytics[edit]

  • git #7e4cf61a - build: Updating npm dependencies for security issues

ZeroBanner[edit]

  • git #1e9576e1 - build: Updating npm dependencies for security issues

ZeroPortal[edit]

  • git #89996311 - Hack around core removal of ApiBase::dieUsage()
  • git #d3fc4ee2 - build: Updating npm dependencies for security issues

cldr[edit]

  • git #0b42b233 - build: Updating npm dependencies for security issues

intersection[edit]

  • git #879564f8 - build: Updating npm dependencies for security issues

timeline[edit]

  • git #c0e9aac8 - build: Updating npm dependencies for security issues

wikihiero[edit]

  • git #86ec86a6 - build: Updating npm dependencies for security issues

Skins[edit]

CologneBlue[edit]

  • git #ea49c3d5 - build: Updating npm dependencies for security issues

MinervaNeue[edit]

Modern[edit]

  • git #de2d416d - build: Updating npm dependencies for security issues

MonoBook[edit]

Nostalgia[edit]

  • git #35b1546c - build: Updating npm dependencies for security issues

Timeless[edit]

  • git #d66be08f - build: Updating npm dependencies for security issues

Vector[edit]